Bug 1639568 - when peer detach is issued, throw a warning to remount volumes using other cluster IPs before proceeding
Summary: when peer detach is issued, throw a warning to remount volumes using other cl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
low
urgent
Target Milestone: ---
: RHGS 3.4.z Batch Update 3
Assignee: Atin Mukherjee
QA Contact: Nag Pavan Chilakam
URL:
Whiteboard:
Depends On:
Blocks: 1647074
TreeView+ depends on / blocked
 
Reported: 2018-10-16 06:27 UTC by Nag Pavan Chilakam
Modified: 2019-02-04 07:41 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1647074 (view as bug list)
Environment:
Last Closed: 2019-02-04 07:41:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0263 0 None None None 2019-02-04 07:41:38 UTC

Description Nag Pavan Chilakam 2018-10-16 06:27:31 UTC
Description of problem:
-------------------
if a volume is mounted using a server IP, and if the server is being detached from the trusted pool, it can lead to data inconsistencies as explained in BZ#1639566

To avoid this, we must throw a warning prompt, when peer detach is issued , like below:
"first make sure that all clients mounted using the node being detached, are remounted using the ip of another server in the trusted pool, to avoid inconsistencies", if you have done that then only proceed{y/n}


Version-Release number of selected component (if applicable):
=============
3.12.2-22

Comment 2 Atin Mukherjee 2018-10-25 02:56:21 UTC
Does this happen if you use backup volfile server IPs in the client mount? If not, then I am not inclined to add this warning.

Comment 3 Atin Mukherjee 2018-10-25 02:58:18 UTC
Could you explain why the severity of this BZ has been marked as urgent?

Comment 4 Nag Pavan Chilakam 2018-10-30 05:03:58 UTC
(In reply to Atin Mukherjee from comment #2)
> Does this happen if you use backup volfile server IPs in the client mount?
> If not, then I am not inclined to add this warning.

Will try this and get back

Comment 5 Atin Mukherjee 2018-10-31 02:30:22 UTC
Keeping the needinfo intact. Request the severity to be also adjusted.

Comment 6 Atin Mukherjee 2018-11-05 08:33:16 UTC
Nag - We need to make a decision on this bug and hence would appreciate if the needinfo can be addressed.

Comment 7 Atin Mukherjee 2018-11-06 16:03:47 UTC
I managed to test this with backup volfile server and I see the behaviour being the same.

I'm sending a patch in upstream to add a warning message in the peer detach code path.

Comment 8 Atin Mukherjee 2018-11-06 16:12:49 UTC
upstream patch : https://review.gluster.org/#/c/glusterfs/+/21572

Comment 15 Nag Pavan Chilakam 2018-12-29 05:58:33 UTC
fyi

raised 1662511 - heketi node remove/delete succeeds but gluster peer status still shows the node in trusted pool

Comment 18 errata-xmlrpc 2019-02-04 07:41:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0263


Note You need to log in before you can comment on or make changes to this bug.